
:root {
    --toggle_switch_container: 60px;
    --toggle_switch_height: 22px;
    --toggle_switch_ball: 26px;
}

.custom-toggle-switch-wrapper {
    display: flex;
    justify-content: start;
    align-items: center;
    margin: 0;
    position: relative;
    width: fit-content;    
}

.custom-toggle-switch-wrapper.center-wrapper {
    margin: 1rem auto;
}

.custom-toggle-switch-wrapper .package-type {
    margin: 0 1rem;
    font-size: 1.25rem;
    white-space: nowrap;
}

.custom-toggle-switch-wrapper.center-wrapper .package-type {
    position: absolute;
}

.custom-toggle-switch-wrapper.center-wrapper .left-option {
    right: 60px;
}

.custom-toggle-switch-wrapper.center-wrapper .right-option {
    left: 60px;
}

.custom-toggle-switch-wrapper .package-type.active {
    font-weight: 600;
}

.custom-toggle-switch-wrapper .package-type sup {
    color: #D81B60;
    font-size: 12px;
    margin-left: 6px;
    font-weight: 600;
}

.custom-toggle-switch-wrapper .custom-checkbox {
    appearance: none;
    display: none;
}

.custom-toggle-switch-wrapper  .checkbox__container {
    scale: 1;
    display: grid;
    inline-size: var(--toggle_switch_container);
    block-size: var(--toggle_switch_height);
    border-radius: 100vh;
    position: relative;
    background-color: #E1E1E1;
}

.custom-toggle-switch-wrapper  .label-for-toggle {
    cursor: pointer;
    isolation: isolate;
    display: grid;
    place-content: center start;
    width: inherit;
    border-radius: inherit;
}

.custom-toggle-switch-wrapper  .ball {
    place-self: center start;
    position: absolute;
    left: 4px;
    mix-blend-mode: color;
    display: grid;
    place-content: center;
    width: var(--toggle_switch_ball);
    aspect-ratio: 1;
    background: #0070F1;
    border-radius: 50%;
    transition: transform 300ms cubic-bezier(0.4, 0.47, 0.66, 0.86);
    /*transition: transform 500ms ease-in;*/
    box-shadow: 0 0 0.75rem 0 #0004;
}

.custom-toggle-switch-wrapper  .ball i {
    font-size: 14px;
    color: #fff;
}

:checked ~ .checkbox__container .ball {
    transform: translateX(calc(var(--toggle_switch_container) - var(--toggle_switch_ball) - 8px))
        rotate(180deg);
}

@media only screen and (max-width: 1200px) {
    .custom-toggle-switch-wrapper .package-type {
        margin: 0 1rem;
        font-size: 1rem;
    }
}

@media only screen and (max-width: 576px) {
    .custom-toggle-switch-wrapper .package-type {
        margin: 0 0.5rem;
        font-size: 1rem;
    }
}